#!/bin/bash
# Inspired by and adapted from https://github.com/adept/hledger-docker, which is Copyright (c) 2019 Dmitry Astapov

echo "host:         ${HLEDGER_HOST:=0.0.0.0}"
echo "port:         ${HLEDGER_PORT:=5000}"
echo "base url:     ${HLEDGER_BASE_URL:="http://localhost:$HLEDGER_PORT"}"
echo "input file:   ${HLEDGER_JOURNAL_FILE:=/data/hledger.journal}"
echo "---------------------------------------------------------------"

exec hledger-web \
     --server \
     --host=$HLEDGER_HOST \
     --port=$HLEDGER_PORT \
     --file="$HLEDGER_JOURNAL_FILE" \
     --base-url=$HLEDGER_BASE_URL \
     ${HLEDGER_ARGS:="$@"}
